# Reporting

The Verifone Reporting API is built as a RESTful interface and provides the ability to list and download reports.

## Resources&#x20;

* Learn how to integrate → [Getting started | Online payments | Verifone Developer Portal ](/online-payments/api-integration-methods-auth-and-endpoints.md)
* Steps to get your API keys → [Obtaining API Keys | Online payments | Verifone Developer Portal ](/online-payments/api-integration-methods-auth-and-endpoints/api-authentication/get-your-api-keys.md)
* Encode and set up Basic Authentication → [BasicAuth | Online payments | Verifone Developer Portal](/online-payments/api-integration-methods-auth-and-endpoints/api-authentication/authentication-methods-basic-and-bearer/basicauth.md)

## Accessing reports

To download a report, you need the reportUid parameter (the unique identifier of that specific report), which can be found in the response schema of **GET the list of all reports** method.

{% hint style="info" %}
**Note:** Use an application to run the API (such as Postman tool) in order to download the reports.&#x20;
{% endhint %}

The[ **GET Get the list of all reports**](/api-reference/open-api-references/reporting/reports.md#get-reports) endpoint shows the metadata/ information on the reports uploaded to the user’s organization. You can specify, for instance, the date range, and the organization (*reportEntityUid*).&#x20;

![Get the list of all reports](https://verifone.cloud/sites/default/files/inline-images/GET%20the%20list%20of%20all%20reports.PNG)

By using the [**GET Download specific report**](/api-reference/open-api-references/reporting/reports.md#get-reports-reportuid) endpoint you can download your chosen reports.&#x20;

![Download specific report](https://verifone.cloud/sites/default/files/inline-images/Download%20specific%20report.PNG)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/api-reference/open-api-references/reporting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
